import { baseUrl } from "../../../request"
import { globalImgUrl } from "../../../request"

// pages/projectModule/userProject/userProject.js
Page({

  /**
   * 页面的初始数据
   */

  data: {
    globalImgUrl,
    userProjectList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getProgram();
  },

  // 结算记录
  gotoSubSettlement(e) {
    const projectId = e.currentTarget.dataset.id;
    const url = e.currentTarget.dataset.url;
    const name = e.currentTarget.dataset.name;
    wx.navigateTo({
      url: `/pages/projectModule/settlement/settlement?id=${projectId}&picurl=${url}&name=${name}`,
    })
  },

  // 获取项目列表
  getProgram() {
    wx.request({
      url: baseUrl + '/project/get/running',
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: res => {
        console.log('项目列表---->',res.data);
        if(res.data.code === 1) {
          this.setData({
            userProjectList: res.data.data
          })
        }
      }
    })
  },

  // 跳转项目明细
  gotoProjectDetail(e){
    // 获取data-id中的值
    const projectId = e.currentTarget.dataset.id;
    console.log('项目id =============>', projectId)
    wx.navigateTo({
      url: `/pages/projectModule/projectDetail/projectDetail?id=${projectId}&isPromo=0`,
    })
  },
    // 子元素点击事件，阻止冒泡
    stopEventPropagation(e) {
      const projectId = e.currentTarget.dataset.id;
      wx.navigateTo({
        url: `/pages/projectModule/projectDetail/projectDetail?id=${projectId}&isPromo=1`,
      })
    },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})